.s--table {
    width: 100%;

    tr td,
    tr th {
        //text-align: center;
        vertical-align: middle;
        //word-break: break-all;
    }

    //min-width: 800px;
    tr {
        &.is-trash {
            background-color: #f7f8fa;
        }
    }

    .add-new {
        background-color: rgba(247, 248, 250, 0.6);
    }

    .s--list-sort-attribute {
        &:hover {
            background-color: #f7f8fa;
        }
    }
}

.s--not-found {
    text-align: center;
    font-size: 16px;
    height: 100px;
    line-height: 100px;

    i {
        font-size: 18px;
    }
}

.s--table-multi-level-data {
    width: 100% !important;

    th {
        white-space: pre-line;

        &:nth-of-type(2) {
            max-width: 180px;
        }

        &:last-of-type {
            width: 100px;
        }

    }

    tr {
        td {
            &:nth-of-type(2) {
                max-width: 180px;
            }

            &:last-of-type {
                width: 100px;
                text-align: right;
            }
        }

    }

    .action {
        width: 70px;

        a {
            color: #575962;

            &:hover {
                color: #575962;
            }
        }
    }
}

.s--input-is-edit {
    position: absolute;
    right: 0px;
    bottom: -8px;
    width: 0px;
    height: 0px;
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-right: 8px solid #a6a7ad;
}

// custom table
.s--multi-level-data {
    display: inline-block;
    position: relative;

    &:after {
        width: 1px;
        height: 100%;
        background-color: #f4f5f8;
        content: "";
        position: absolute;
        top: 0;
        right: 0;
    }

    .item {
        width: 100%;
        display: contents;

        &.item-first {
            font-weight: 500;

            .action,
            .item-child {
                height: 30px;
                line-height: 30px;
                border-top: 1px solid #f4f5f8;
            }
        }

        &.item-last {
            height: 30px;
            border: 1px solid #f4f5f8;
            border-top: none;
            border-right: none;
            display: inline-block;
            padding-top: 5.5px;
        }

        .action {
            width: 70px;
            float: left;
            padding: 0 10px;
            height: 46px;
            line-height: 46px;
            border: 1px solid #f4f5f8;
            border-right: none;
            border-top: none;
        }

        .item-child {
            width: calc((100% - 60px) / 3);
            float: left;
            padding: 0 10px;
            height: 46px;
            line-height: 46px;
            border: 1px solid #f4f5f8;
            border-right: none;
            border-top: none;

            select,
            input {
                margin-top: 8px;
            }
        }
    }
}

.s--table-lock {

    //table-layout: fixed;
    //width: 100%;
    //
    //td:first-child, th:first-child {
    //  position: sticky;
    //  left: 0;
    //  z-index: 3;
    //  background-color: #fff;
    //}
    //
    //thead tr:nth-of-type(2) th:first-child {
    //    //position: relative;
    //    //z-index: 0;
    //}
    //
    //thead tr:nth-of-type(2) th{
    //  position: sticky;
    //  top: 36px;
    //  //top: -1px;
    //  z-index: 1;
    //  background-color: #fff;
    //}
    //
    //thead tr:nth-of-type(1) th:first-of-type{
    //  top: -1px;
    //  z-index: 4;
    //}
    //
    //thead tr:nth-of-type(1) th:last-child{
    //  position: sticky;
    //  top: -1px;
    //  z-index: 1;
    //}

    //th:first-child, th:last-child {
    //  z-index: 2;
    //  background-color: #fff;
    //}
}

.s--table-deal-payments-settings {
    tr {

        td,
        th {
            position: relative;

            &:nth-of-type(1),
            &:nth-of-type(3) {
                max-width: 120px;
            }

            &:nth-of-type(2) {
                max-width: 300px;
            }

            &:focus,
            &.is-active {
                background-color: #f7f8fa;
                outline: none;
            }

            &:hover {
                background-color: #f7f8fa;

                //border-color: #00a4bd;
                .s--actions {
                    display: block;
                }
            }
        }
    }

    .s--actions {
        height: 22px;
        position: absolute;
        right: 10px;
        top: -10.5px;
        z-index: 2;
        background-color: #676c7b;
        border-radius: .25rem;
        overflow: hidden;
        display: none;

        .s--actions-item {
            width: 22px;
            height: 22px;
            display: inline-block;
            float: left;
            color: #fff;
            position: relative;
            border: 1px solid #676c7b;
            border-right-color: #fff;

            &:last-of-type {
                border-right: 1px solid #676c7b;
            }

            i {
                font-size: 14px;
                position: absolute;
                left: 50%;
                top: 50%;
                transform: translate(-50%, -50%);
            }
        }

        .s--actions-active_item {
            background-color: #00a4bd;
            border-color: #00a4bd;
        }
    }

}

.table-responsive {
    &::-webkit-scrollbar {
        width: 8px;
        height: 8px;
    }
}

table {

    tr th,
    tr td {
        max-width: 300px;
    }
}

.nt-table-div {
    width: max-content;
    min-width: 100%;
    display: flex;
    flex-direction: column;
    color: #444F78;
    font-size: 14px;
    background-color: #fff;

    .nt-table-div-head {
        position: -webkit-sticky;
        position: sticky;
        left: 0;
        top: 0;
        z-index: 2;
        background-color: #fff;

        .nt-table-div-col {
            background-color: #F4F5F9;
        }
    }

    .nt-table-div-row {
        display: flex;
        position: relative;

        &.nt-table-div-row-reset {
            position: static;
        }

        &.nt-deleted-at {
            background-color: #EBEDF2;
            text-decoration: line-through;

            img,
            a,
            span,
            div {
                text-decoration: line-through;
            }

            a {

                &:hover,
                &:focus,
                &:focus-within,
                &:active {
                    text-decoration: line-through !important;
                }
            }

            &:hover {
                background-color: #EBEDF2 !important;
            }
        }

        &.nt-table-div-row-hide {
            display: none;
        }

        &.is-active {
            display: flex !important;
        }

        &:first-of-type {
            .nt-table-div-col {
                border-bottom-color: #CCD2E2;
            }
        }

        &:last-of-type {
            .nt-table-div-col {
                border-top-color: #CCD2E2;
            }
        }
    }

    .nt-table-div-head {
        .nt-table-div-row {
            .nt-table-div-col {
                font-weight: 600;
            }
        }
    }

    .nt-table-div-body {
        border-bottom: 1px solid #CCD2E2;

        .nt-table-div-row {
            &:first-of-type {
                .nt-table-div-col {
                    border-bottom-color: transparent;
                    border-top-color: transparent;
                }
            }
        }
    }

    .nt-table-div-list-fix-columns {
        display: flex;
        background-color: #fff;
        position: -webkit-sticky;
        position: sticky;
        left: 0;
        top: 0;
        z-index: 1;

        @media (max-width: 767px) {
            position: static;
        }

        &.nt-table-div-list-fix-columns-reset {
            position: relative;
            z-index: auto;
        }
    }

    .nt-table-div-col {
        border: 1px solid #CCD2E2;
        padding: .75rem;
        border-right-color: transparent;
        border-bottom-color: transparent;
        width: 200px;
        word-break: break-word;

        &:last-of-type {
            border-right-color: #CCD2E2;
        }
    }
}

.table-bordered thead th,
.table-bordered thead td {
    border-bottom-width: 1px;
}